# Class: dnsclient
#
# This module manages /etc/resolv.conf.
#
# Parameters:
#
# Actions:
#
# Requires:
#
# Sample Usage:
#
# node 'abc.def' {
# 
#         dnsclient_domain = 'def'
#         dnsclient_nameservers = ['1.2.3.4','4.3.2.1']
#         dnsclient_options = ''
# 
#         include vchoi-dnsclient
# }
#  [Remember: No empty lines between comments and class definition]
class vchoi-dnsclient {
	file {'/etc/resolv.conf':
		owner => root, group => root, mode => 444,
		content => template('vchoi-dnsclient/resolv.conf.erb'),
	}
	# TODO: Remove package resolvconf?
}
